Skip to main content
GET
/
2022-06-09
/
collections
/
{collectionId}
/
templates
Get All Templates
curl --request GET \
  --url https://staging.crossmint.com/api/2022-06-09/collections/{collectionId}/templates \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://staging.crossmint.com/api/2022-06-09/collections/{collectionId}/templates"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://staging.crossmint.com/api/2022-06-09/collections/{collectionId}/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "templateId": "20ed0963-0185-49af-b4a0-2de3169bb367",
    "metadata": {
      "name": "My Token",
      "image": "ipfs://QmaToZn4VEjF7q4CAudPaNka6AD484xuuEZSXmTLJPDLVE",
      "description": "Sample Token Template",
      "symbol": "A shorthand identifier for the token (Solana only)"
    },
    "onChain": {
      "tokenId": 1
    },
    "supply": {
      "limit": 1,
      "minted": 0
    }
  }
]
{
"error": true,
"message": "Invalid arguments or empty parameter <missing parameter>."
}
{
"error": true,
"message": "Malformed API key. / API key provided doesn't have required scopes."
}
{
"error": true,
"message": "Not found"
}
{
"error": true,
"message": "Please try again in a few minutes. If the issue still persists, contact Crossmint support."
}

Authorizations

X-API-KEY
string
header
required

Obtained in the Crossmint developer console

Path Parameters

collectionId
string
required

This is the identifier for the collection related to the request. Every project has default collections: default-solana and default-polygon.

The create-collection API will result in collections with UUID formatted collectionId. Example: 9c82ef99-617f-497d-9abb-fd355291681b

The create-collection-idempotent API allows you to specify an arbitrary identifier during the initial request. Example: your-custom-identifier

Query Parameters

page
number
required

The page number you want to query, starting at 1

perPage
number

How many items you want to be returned in the page.

Example:

20

Response

success

templateId
string<uuid>
Example:

"20ed0963-0185-49af-b4a0-2de3169bb367"

metadata
object
onChain
EVM · object
supply
object